Skip to content

List templates installable in a workspace (or your personal space)

GET
/v1/artifact-templates
curl --request GET \
--url 'https://shareout.site/v1/artifact-templates?scope=private' \
--header 'Authorization: Bearer <token>'

The workspace’s own templates, ones shared with it, and the instance library. Omit workspace for your personal space.

workspace
string

Workspace id you are a member of.

q
string
tag
string
scope
string
Allowed values: private shared instance

{ templates: TemplateSummary[] }

Media typeapplication/json
object
templates
Array<object>
object
id
string
name
string
description
string
nullable
tags
Array<string>
scope
string
Allowed values: private shared instance
version
string
version_no
integer
item_count
integer
preview_url

Signed

string
nullable
setup
Array<object>
object
can_manage
boolean
Example
{
"templates": [
{
"id": "tpl_0123456789abcdef01234567",
"scope": "private",
"version": "1.0.0"
}
]
}

Not a member of that workspace